tigase.server.xmppclient

## Class StreamManagementIOProcessor.OutQueue

- java.lang.Object
- - tigase.server.xmppclient.StreamManagementIOProcessor.OutQueue

- Enclosing class:
    StreamManagementIOProcessor

      public static class StreamManagementIOProcessor.OutQueue
      extends Object

  OutQueue class implements queue of outgoing packets waiting for ack with implementation of removing acked elements when id of acked packet is passed

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamManagementIOProcessor.OutQueue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ack(int value)` Confirm delivery of packets up to count passed as value
    `void` | `append(Packet packet)` Append packet to waiting for ack queue
    `protected ArrayDeque<Packet>` | `getQueue()` Method returns internal queue with packets waiting for ack - use testing only!
    `int` | `waitingForAck()` Returns size of queue containing packets waiting for ack

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamManagementIOProcessor.OutQueue

          public StreamManagementIOProcessor.OutQueue()

  - ### Method Detail

    - #### append

          public void append(Packet packet)

      Append packet to waiting for ack queue
      Parameters:
        `packet` -

    - #### ack

          public void ack(int value)

      Confirm delivery of packets up to count passed as value
      Parameters:
        `value` -

    - #### waitingForAck

          public int waitingForAck()

      Returns size of queue containing packets waiting for ack
      Returns:

    - #### getQueue

          protected ArrayDeque<Packet> getQueue()

      Method returns internal queue with packets waiting for ack - use testing only!
      Returns:

Copyright © 2013 Tigase. All rights reserved.